#pragma once
#include <NIDAQmx.h>

class NI_DAQ
{
private:
	TaskHandle AOtaskHandle;
	TaskHandle AItaskHandle;
	float64 data[1000];
public:
	int error;
	char errBuff[2048];

	NI_DAQ(void);
	NI_DAQ(char IO, char* Dev, char* channel);
	~NI_DAQ(void);
	int write(double _data);
	int read(double* _data);
	int change_channel(char IO, char* Dev, char* channel);
};
